Subject: Re: [PATCH v2 6/6] doc: push: explain default=simple correctly

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Jun 2021 18:44:51 +0900

Felipe Contreras <[email-masked]> writes:

>> I suspect it would be simpler to read and easier to understand to
>> bring the parethesized part front, e.g.
>> 
>>     If you are pushing to the same repository you pull from (which
>>     is typically `origin`), then you need to ...
>> 
>> as it would avoid "the project is not centralized, but I push to my
>> own repository and pull from it---what should I do?" questions.
>
> The top of `push.default says:
>
>   Different values are well-suited for specific workflows; for instance,
>   in a purely central workflow (i.e. the fetch source is equal to the
>   push destination), `upstream` is probably what you want.
>
> We already brought up the central workflow, I think it's fine to reuse
> the concept below.

Oh, thanks for finding another instance to be corrected.  Even in
that sentence, the more important point is that upstream would be
appropriate if you push to the same place as you fetch from, and
we do not have to say "purely central" at all.